Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pip install -r requirements.txt fails #51

Closed
dunatotatos opened this issue Jul 24, 2019 · 0 comments

Comments

@dunatotatos
Copy link
Collaborator

commented Jul 24, 2019

Installing the requirements from pip fails with the following error:

Collecting numpy==1.* (from -r requirements.txt (line 1))
  Downloading https://files.pythonhosted.org/packages/1f/c7/198496417c9c2f6226616cff7dedf2115a4f4d0276613bab842ec8ac1e23/numpy-1.16.4-cp27-cp27mu-manylinux1_x86_64.whl (17.0MB)
Collecting biopython==1.* (from -r requirements.txt (line 2))
  Downloading https://files.pythonhosted.org/packages/3a/9f/ad28cad92d1719523fd84732a6899c30176b72d2856227147cbff0923d02/biopython-1.74-cp27-cp27mu-manylinux1_x86_64.whl (2.2MB)
Collecting Django==1.6.* (from -r requirements.txt (line 3))
  Downloading https://files.pythonhosted.org/packages/80/86/f52eec28e96fb211122424a3db696e7676ad3555c11027afd9fee9bb0d23/Django-1.6.11-py2.py3-none-any.whl (6.7MB)
Collecting django-contrib-comments==1.5 (from -r requirements.txt (line 4))
  Downloading https://files.pythonhosted.org/packages/57/5b/a2ca4547c52ed241f2cc0ecd91492acd6351f9f18cd8aa98db5fa06ad38d/django-contrib-comments-1.5.tar.gz
Collecting django-filter==0.7 (from -r requirements.txt (line 5))
  Downloading https://files.pythonhosted.org/packages/4f/fc/6922aeccd2298f599eaf41c89c6260ebfed3c2889feb84bd2fc6abfaf891/django_filter-0.7-py2.py3-none-any.whl
Collecting django-reversion==1.8.* (from -r requirements.txt (line 6))
  Downloading https://files.pythonhosted.org/packages/4c/69/fe49c3305dd06bee1e173fabec2ee875c9473a23b9c6bb17ec063512a095/django-reversion-1.8.7.tar.gz (58kB)
Collecting django-selectable==0.9.* (from -r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/01/3b/2313f7b079d7cc32743aacc1861060e2ea702278f6f5b947847628ccd62e/django_selectable-0.9.0-py2.py3-none-any.whl (41kB)
Collecting markdown2==2.3.* (from -r requirements.txt (line 8))
  Downloading https://files.pythonhosted.org/packages/89/d2/6aef45472f7956646fdc4cc5284e6f9d00476497a8d167c30b0f78bb75a5/markdown2-2.3.8-py2.py3-none-any.whl
Collecting pytz==2016.* (from -r requirements.txt (line 9))
  Downloading https://files.pythonhosted.org/packages/f5/fa/4a9aefc206aa49a4b5e0a72f013df1f471b4714cdbe6d78f0134feeeecdb/pytz-2016.10-py2.py3-none-any.whl (483kB)
Collecting South==1.0.* (from -r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/e3/11/10a986f30ce1a1d5209b192c68adcc3eaf312f9caba70b35c0ac6e354a6b/South-1.0.2.tar.gz (96kB)
Collecting xlrd==0.9.* (from -r requirements.txt (line 11))
  Downloading https://files.pythonhosted.org/packages/f2/5a/62f55aef47f733e5181ded0487491a2ab2aeb38a054336f1c1ac7c788821/xlrd-0.9.4.tar.gz (322kB)
Collecting dj-database-url==0.4.* (from -r requirements.txt (line 13))
  Downloading https://files.pythonhosted.org/packages/91/84/50cbfabb91593cff18a37046986f7c2eb69224a694a52ae614711dfa11c6/dj_database_url-0.4.2-py2.py3-none-any.whl
Collecting gunicorn==19.4.* (from -r requirements.txt (line 14))
  Downloading https://files.pythonhosted.org/packages/bd/4c/1c4131c6082a9cbad894b308097c9ff2e947f331c54aa2daa8e657108eb8/gunicorn-19.4.5-py2.py3-none-any.whl (112kB)
Collecting psycopg2==2.6.* (from -r requirements.txt (line 15))
  Downloading https://files.pythonhosted.org/packages/7b/a8/dc2d50a6f37c157459cd18bab381c8e6134b9381b50fbe969997b2ae7dbc/psycopg2-2.6.2.tar.gz (376kB)
    Complete output from command python setup.py egg_info:
    running egg_info
    creating pip-egg-info/psycopg2.egg-info
    writing pip-egg-info/psycopg2.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
    Error: could not determine PostgreSQL version from '11.4'```

It is a known bug, fixed in `psycopg2 >= 2.7`.

@graik graik closed this in c079bf6 Jul 24, 2019

graik added a commit that referenced this issue Jul 24, 2019

Merge pull request #52 from dunatotatos/master
Change psycopg2 version requirements. Fix #51.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.